## jackaudiosink jackaudiosink — Output audio to a JACK server |

## Synopsis

    struct              GstJackAudioSink;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSink
                               +----GstAudioBaseSink
                                     +----GstJackAudioSink

## Properties

      "client"                   JackClient*           : Read / Write
      "connect"                  GstJackConnect        : Read / Write
      "server"                   gchar*                : Read / Write
      "client-name"              gchar*                : Read / Write
      "transport"                GstJackTransport      : Read / Write

## Description

## Synopsis

### Element Information

plugin | jack
author | Wim Taymans <wim.taymans@gmail.com>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Details

### struct GstJackAudioSink

    struct GstJackAudioSink;

## Property Details

### The `"client"` property

      "client"                   JackClient*           : Read / Write

Handle for jack client.

### The `"connect"` property

      "connect"                  GstJackConnect        : Read / Write

Specify how the output ports will be connected.

Default value: Automatically connect ports to physical ports

### The `"server"` property

      "server"                   gchar*                : Read / Write

The Jack server to connect to (NULL = default).

Default value: NULL

### The `"client-name"` property

      "client-name"              gchar*                : Read / Write

The client name of the Jack instance (NULL = default).

Default value: NULL

### The `"transport"` property

      "transport"                GstJackTransport      : Read / Write

Jack transport behaviour of the client.